#define CT_STATIC 		0
#define CT_BUTTON		1
#define ST_CENTER		2
#define ST_NO_RECT		512

class RscBackgroundMap
{
	type = CT_STATIC;
	IDC = -1;
	style = ST_NO_RECT;
	x = 0;
	y = 0;
	w = 1;
	h = 1;
	text="";
	ColorBackground[]={0,0,0,1};
	ColorText[]={1,1,1,0};
	font="tahomaB";
	SizeEx = 0;
};

class RscLabelsMap
{
	type = CT_STATIC;
	IDC = -1;
	style = ST_NO_RECT;
	colorBackground[] = {0, 0, 0, 1};
	ColorText[] = {1, 1, 0, 1};
	font = "tahomaB";
	sizeEx = 0.022;
};
	
class RscTextMap
{
	type = CT_STATIC;
	IDC = -1;
	style = ST_CENTER + ST_NO_RECT;
	colorBackground[] = {0, 0, 0, 1};
	ColorText[] = {1, 1, 1, 1};
	font = "tahomaB";
	SizeEx = 0.0275;
};

class RscButtonMap
{
	type = CT_BUTTON;
	style = ST_CENTER;
	w = 0.11;
	h = 0.05;
	ColorText[] = {0.08, 0.08, 0.12,1};
	font = "tahomaB";
	SizeEx = 0.02;
	default = 0;
};

class GPSMAP
{
	IDD = 1234;
	MovingEnable = false;

	class Controls
	{
		class MapTop: RscBackgroundMap
		{
			x = 0;
			y = 0;
			w = 1;
			h = 0.1;
		};
		class MapBottom: RscBackgroundMap
		{
			x = 0;
			y = 0.9;
			w = 1;
			h = 0.1;
		};
		class MapLeft: RscBackgroundMap
		{
			x = 0;
			y = 0;
			w = 0.1;
			h = 1;
		};
		class MapRight: RscBackgroundMap
		{
			x = 0.9;
			y = 0;
			w = 0.1;
			h = 1;
		};
		
		class MapLabelUAVGPS: RscLabelsMap
		{
			x = 0.1;
			y = 0.025;
			w = 0.075;
			h = 0.05;
			text = "UAV GPS:";
		};
		class MapLabelUAVDIR: RscLabelsMap
		{
			x = 0.3;
			y = 0.025;
			w = 0.076;
			h = 0.05;
			text = "UAV DIR:";
		};
				
		class MapLabelUAVGPSData: RscTextMap
		{
			IDC = 4321;
			x = 0.175;
			y = 0.025;
			w = 0.05;
			h = 0.05;
			text = "";
			sizeEx = 0.0275;
		};
		class MapLabelUAVDIRData: RscTextMap
		{
			IDC = 4322;
			x = 0.37;
			y = 0.025;
			w = 0.175;
			h = 0.05;
			text = "";
			sizeEx = 0.0275;
		};

		class MapLabelTIMEData: RscTextMap
		{
			IDC = 4323;
			x = 0.5;
			y = 0.925;
			w = 0.15;
			h = 0.035;
			text = "";
			sizeEx = 0.0275;
		};
		
		class VIEWRECONMAP: RscButtonMap
		{
			IDC = 222;
			x = 0.1;
			y = 0.925;
			w = 0.125;
			h = 0.035;
			text = "VIEW RECON";
			action = "uav exec ""EMSI_Data\EMSI_UAV_recon.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class MANUALFLIRMAP: RscButtonMap
		{
			IDC = 223;
			x = 0.275;
			y = 0.925;
			w = 0.125;
			h = 0.035;
			text = "MANUAL FLIR";
			action = "[] exec ""EMSI_Data\EMSI_UAV_flir.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class BACK: RscButtonMap
		{
			IDC = 224;
			x = 0.775;
			y = 0.925;
			w = 0.125;
			h = 0.035;
			text = "BACK";
			action = "vypniMapu = 1; setAperture -1";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
	};
};